aboutsummaryrefslogtreecommitdiff
path: root/scripts/make.sh
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2014-02-04 06:14:30 -0600
committerRob Landley <rob@landley.net>2014-02-04 06:14:30 -0600
commit0e040df95b0b0728446fe97a6f216a01595a1e6c (patch)
tree9fcfd1e6e00bb73694939392570c8f16cac25e7b /scripts/make.sh
parent030c3f3779d147fe02430ca02709f668c4533329 (diff)
downloadtoybox-0e040df95b0b0728446fe97a6f216a01595a1e6c.tar.gz
Use right config for single builds.
Diffstat (limited to 'scripts/make.sh')
-rwxr-xr-xscripts/make.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index 9fdadc47..d2799a8e 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -131,7 +131,7 @@ GLOBSTRUCT="$(getglobals)"
echo "generated/help.h"
do_loudly $HOSTCC scripts/config2help.c -I . lib/xwrap.c lib/llist.c lib/lib.c \
-o generated/config2help && \
-generated/config2help Config.in .config > generated/help.h || exit 1
+generated/config2help Config.in $KCONFIG_CONFIG > generated/help.h || exit 1
# Extract a list of toys/*/*.c files to compile from the data in $KCONFIG_CONFIG